/*
 * DriverLoader.java
 *
 * Copyright (C) 2002-2013 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.executequery.datasource;

import java.sql.Driver;

import org.executequery.databasemediators.DatabaseDriver;

/**
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1162 $
 * @date     $Date: 2012-08-01 23:07:55 +1000 (Wed, 01 Aug 2012) $
 */
public interface DriverLoader {

    Driver load(DatabaseDriver databaseDriver);

    void unload(DatabaseDriver databaseDriver);

}





