/*
 * PropertyTypes.java
 *
 * Copyright (C) 2002-2013 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.executequery.gui.prefs;

/**
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1094 $
 * @date     $Date: 2012-02-20 23:51:20 +1100 (Mon, 20 Feb 2012) $
 */
public class PropertyTypes {

    public static final int SYSTEM = 0;
    public static final int GENERAL = 1;
    public static final int EDITOR = 2;
    public static final int EDITOR_FONTS = 13;
    public static final int EDITOR_DISPLAY = 5;
    public static final int EDITOR_SYNTAX = 7;
    public static final int RESULTS = 3;
    public static final int DEFAULTS = 11;
    public static final int CONNECTIONS = 9;
    public static final int VIEW = 8;
    public static final int LOCALE = 10;
    public static final int EDITOR_GENERAL = 6;
    public static final int BROWSER_GENERAL = 12;
    public static final int TOOLBAR_GENERAL = 4;
    public static final int LOOK_PLUGIN = 14;
    public static final int EDITOR_BACKGROUND = 15;
    public static final int TOOLBAR_FILE = 16;
    public static final int TOOLBAR_EDIT = 17;
    public static final int TOOLBAR_SEARCH = 18;
    public static final int TOOLBAR_DATABASE = 19;
    public static final int TOOLBAR_SYSTEM = 20;
    public static final int APPEARANCE = 21;
    public static final int SHORTCUTS = 22;
    public static final int TOOLBAR_IMPORT_EXPORT = 23;
    public static final int TOOLBAR_BROWSER = 24;
    public static final int RESULT_SET_CELL_COLOURS = 25;

    /** Creates a new instance of PropertyTypes */
    private PropertyTypes() {}

}










